package com.totopia.server.modules.info.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import com.totopia.server.modules.info.type.MessageStateName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "message")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class MessageEntity extends UserDateAuditEntity {
  @Id
  @GeneratedValue(generator = "message_generator")
  @SequenceGenerator(name = "message_generator", sequenceName = "message_sequence", initialValue = 1)
  private Long id;

  @Basic
  @Column(name = "title", nullable = true, length = 200)
  private String title;

  @Basic
  @Column(name = "contents", nullable = true, length = 2000)
  private String contents;

  @Enumerated(EnumType.STRING)
  @Column(name = "state_name", length = 60)
  private MessageStateName stateName;
}
