package com.totopia.server.modules.special.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "martin_config")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Builder
public class MartinConfigEntity extends UserDateAuditEntity {
  @Id
  @GeneratedValue(generator = "martin_config_generator")
  @SequenceGenerator(name = "martin_config_generator", sequenceName = "martin_config_sequence", initialValue = 1)
  private Short id;

  @Basic
  @Column(name = "name", nullable = false, length = 100)
  private String name;

  @Basic
  @Column(name = "martin_enable", nullable = false)
  private Boolean refEnable = true;

  @Basic
  @Column(name = "betting_odds", nullable = false)
  private Float bettingOdds;
}
